import { SvgIconProps } from "../../app/types/types";


export function AlertInfoIcon(props: SvgIconProps) {
  return (
    <svg width="47" height="46" viewBox="0 0 47 46" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M36.5 0H10.5C4.97715 0 0.5 4.47715 0.5 10V36C0.5 41.5228 4.97715 46 10.5 46H36.5C42.0228 46 46.5 41.5228 46.5 36V10C46.5 4.47715 42.0228 0 36.5 0Z"
        fill="#D8E7FD"
      />
      <g clipPath="url(#clip0_4028_56815)">
        <path
          d="M23.312 11C20.9756 11 18.6916 11.6928 16.7489 12.9909C14.8063 14.289 13.2922 16.134 12.3981 18.2926C11.504 20.4512 11.2702 22.8264 11.7261 25.118C12.1819 27.4095 13.3071 29.5144 14.9593 31.1664C16.6115 32.8184 18.7164 33.9434 21.008 34.3991C23.2996 34.8548 25.6748 34.6208 27.8333 33.7265C29.9919 32.8323 31.8367 31.318 33.1346 29.3752C34.4325 27.4325 35.1252 25.1484 35.125 22.812C35.1247 19.6792 33.88 16.6747 31.6647 14.4596C29.4494 12.2444 26.4448 11 23.312 11ZM25.771 29.307C25.163 29.547 24.678 29.7297 24.316 29.855C23.9088 29.988 23.4823 30.0519 23.054 30.044C22.4341 30.0809 21.8225 29.8871 21.337 29.5C21.1398 29.332 20.9825 29.1221 20.8768 28.8856C20.7711 28.6491 20.7196 28.392 20.726 28.133C20.7264 27.9126 20.7414 27.6924 20.771 27.474C20.802 27.25 20.851 26.998 20.918 26.715L21.679 24.027C21.746 23.769 21.804 23.527 21.85 23.296C21.8934 23.0877 21.9162 22.8757 21.918 22.663C21.9316 22.5354 21.9198 22.4064 21.8835 22.2834C21.8471 22.1603 21.7868 22.0457 21.706 21.946C21.4678 21.7839 21.1792 21.7129 20.893 21.746C20.6881 21.7468 20.4843 21.7771 20.288 21.836C20.088 21.899 19.905 21.956 19.759 22.012L19.959 21.184C20.457 20.984 20.9337 20.8103 21.389 20.663C21.8051 20.5238 22.2403 20.4502 22.679 20.445C23.2892 20.406 23.8921 20.5948 24.371 20.975C24.5651 21.1465 24.719 21.3588 24.8217 21.5967C24.9244 21.8345 24.9733 22.0921 24.965 22.351C24.965 22.4677 24.9513 22.6733 24.924 22.968C24.9005 23.2427 24.8496 23.5144 24.772 23.779L24.015 26.459C23.953 26.674 23.898 26.92 23.848 27.195C23.8068 27.4014 23.7824 27.6107 23.775 27.821C23.7588 27.9525 23.7718 28.0859 23.8132 28.2117C23.8545 28.3375 23.923 28.4527 24.014 28.549C24.2613 28.7018 24.5516 28.7699 24.841 28.743C25.0532 28.7375 25.2637 28.7039 25.467 28.643C25.6397 28.5991 25.8088 28.5423 25.973 28.473L25.771 29.307ZM25.637 18.429C25.2928 18.7536 24.835 18.9302 24.362 18.921C23.8876 18.9295 23.4285 18.7531 23.082 18.429C22.9128 18.28 22.7776 18.0964 22.6856 17.8905C22.5936 17.6847 22.547 17.4615 22.549 17.236C22.547 17.0095 22.5935 16.7852 22.6855 16.5783C22.7774 16.3713 22.9126 16.1864 23.082 16.036C23.4265 15.7077 23.8862 15.5281 24.362 15.536C24.8364 15.5273 25.295 15.7071 25.637 16.036C25.8039 16.187 25.9373 16.3714 26.0286 16.5771C26.1199 16.7828 26.167 17.0054 26.167 17.2305C26.167 17.4556 26.1199 17.6782 26.0286 17.8839C25.9373 18.0896 25.8039 18.274 25.637 18.425V18.429Z"
          fill="#408BF9"
        />
      </g>
      <defs>
        <clipPath id="clip0_4028_56815">
          <rect width="23.625" height="23.625" fill="white" transform="translate(11.5 11)" />
        </clipPath>
      </defs>
    </svg>
  )
}
